# This file created by conda-build 24.7.1
# meta.yaml template originally from:
# /opt/recipe, last modified Mon May 12 20:17:22 2025
# ------------------------------------------------

package:
  name: kanpig
  version: 1.1.0
source:
  sha256: 3c2c807f6c4d65f46dcc5ac459ade78fe5d8805de80054556c37c80867bb8b5c
  url: https://github.com/ACEnglish/kanpig/archive/refs/tags/v1.1.0.tar.gz
build:
  number: '1'
  run_exports:
    - kanpig >=1.1.0,<2.0a0
  string: h415ceb9_1
requirements:
  build:
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-aarch64 2.43 h4c662bb_4
    - binutils_linux-aarch64 2.43 hf1166c9_4
    - bzip2 1.0.8 h68df207_7
    - ca-certificates 2025.4.26 hbd8a1cb_0
    - cargo-bundle-licenses 4.0.0 hff1326e_0
    - gcc_impl_linux-aarch64 13.3.0 h80a1502_2
    - gcc_linux-aarch64 13.3.0 h1cd514b_10
    - gxx_impl_linux-aarch64 13.3.0 h7eae8fb_2
    - gxx_linux-aarch64 13.3.0 h2864abd_10
    - kernel-headers_linux-aarch64 4.18.0 h05a177a_18
    - ld_impl_linux-aarch64 2.43 h80caac9_4
    - libgcc 15.1.0 he277a41_2
    - libgcc-devel_linux-aarch64 13.3.0 h0c07274_102
    - libgcc-ng 15.1.0 he9431aa_2
    - libgit2 1.9.0 h0e9a676_2
    - libgomp 15.1.0 he277a41_2
    - libsanitizer 13.3.0 ha58e236_2
    - libssh2 1.11.1 h18c354c_0
    - libstdcxx 15.1.0 h3f4de04_2
    - libstdcxx-devel_linux-aarch64 13.3.0 h0c07274_102
    - libzlib 1.3.1 h86ecc28_2
    - make 4.4.1 h2a6d0cb_2
    - openssl 3.5.0 hd08dc88_1
    - pcre2 10.45 hf4ec17f_0
    - rust 1.86.0 h21fc29f_0
    - rust-std-aarch64-unknown-linux-gnu 1.86.0 hbe8e118_0
    - rust_linux-aarch64 1.86.0 hecc2322_0
    - sysroot_linux-aarch64 2.17 h68829e0_18
    - tzdata 2025b h78e105d_0
  host:
    - _openmp_mutex 4.5 2_gnu
    - libgcc 15.1.0 he277a41_2
    - libgomp 15.1.0 he277a41_2
    - libstdcxx 15.1.0 h3f4de04_2
  run:
    - libgcc >=13
    - libstdcxx >=13
  run_constrained:
    - __glibc >=2.17
test:
  commands:
    - kanpig --help
about:
  dev_url: https://github.com/ACEnglish/kanpig
  doc_url: https://github.com/ACEnglish/kanpig/wiki
  home: https://github.com/ACEnglish/kanpig
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: A fast tool for genotyping structural variants with long-reads.
extra:
  additional-platforms:
    - linux-aarch64
    - osx-arm64
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - ldenti
